FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::Expr< SomeKind< CAT > > Class Template Reference
Inheritance diagram for Fortran::evaluate::Expr< SomeKind< CAT > >:

## Public Types
using | Result = SomeKind< CAT >
Public Types inherited from Fortran::evaluate::ExpressionBase< SomeKind< CAT > >
using | Result = SomeKind< CAT >

## Public Member Functions
int | GetKind () const
Public Member Functions inherited from Fortran::evaluate::ExpressionBase< SomeKind< CAT > >
Derived & | operator= (const A &x)
common::IfNoLvalue< Derived &, A > | operator= (A &&x)
std::optional< DynamicType > | GetType () const
int | Rank () const
std::string | AsFortran () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Public Attributes
common::MapTemplate< Expr, CategoryTypes< CAT > > | u

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::ExpressionBase< SomeKind< CAT > >
static Derived | Rewrite (FoldingContext &, Derived &&)

The documentation for this class was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/expression.cpp